Subject: bug#75322: SAFE_ALLOCA assumed to root Lisp_Objects/SSDATA(string)

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Jan 2025 16:35:39 -0600

Pip Cet via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> static_assert (NIL_IS_ZERO) was intended to be a similarly proactive
> macro marking the code making that assumption, but that didn't work out.

BTW, how do you think static_assert (NIL_IS_ZERO) didn't work out?

Are you saying that we missed some places where we should have added
that assert?  How about marking them now?